name: c33s/utils-bundle
type: symfony-bundle
description: 'Symfony Utils Bundle'
keywords: [ twig, embed, helper, opengraph, string, image asset ]
homepage: 'https://gitlab.com/c33s-group/utils-bundle'
license: MIT
authors:
    - { name: 'Julian P.', email: office@consistency.at }
require:
#    ext-spl: '*'
    ext-filter: '*'
    php: ^7.1 || ^8.0
    psr/log: ^1.1.3
    webmozart/path-util: ^2.3.0 || dev-main
    c33s/utils: ^2.0.0 || dev-main
    cocur/slugify: ^3.0.0 || ^4.0.0
#    symfony/string: ^5.0 # requires php ^7.2.5 used for slugger
    symfony/asset: ^3.4 || ^4.0 || ^5.0
    symfony/mime: ^3.4 || ^4.0 || ^5.0
    symfony/filesystem: ^3.4 || ^4.0 || ^5.0
    symfony/twig-bridge: ^3.4 || ^4.0 || ^5.0
    symfony/http-kernel: ^3.4 || ^4.0 || ^5.0
    symfony/http-foundation: ^3.4 || ^4.0 || ^5.0
    symfony/config: ^3.4 || ^4.0 || ^5.0
    symfony/dependency-injection: ^3.4 || ^4.0 || ^5.0
    symfony/polyfill-php80: ^1.20.0
    twig/twig: ^2.0 || ^3.0
require-dev:
    codeception/codeception: 4.1.22
    codeception/module-asserts: 1.3.1
    roave/security-advisories: dev-latest
autoload:
    psr-4: { C33s\Bundle\UtilsBundle\: 'src/' }
autoload-dev:
    psr-4:
        Tests\Helper\: tests/_support/Helper/
        Tests\Traits\: tests/_support/Traits/
        Tests\Functional\: tests/functional/
        Tests\Unit\: tests/unit/
prefer-stable: true
